<Overview>
  <Remarks>To be added.</Remarks>
  <Copyright>To be added.</Copyright>
  <Types>
    <Namespace Name="Microsoft.Win32">
      <Type Name="Registry" />
      <Type Name="RegistryHive" />
      <Type Name="RegistryKey" />
      <Type Name="RegistryKeyPermissionCheck" />
      <Type Name="RegistryValueKind" />
      <Type Name="RegistryValueOptions" />
    </Namespace>
    <Namespace Name="Microsoft.Win32.SafeHandles">
      <Type Name="CriticalHandleMinusOneIsInvalid" />
      <Type Name="CriticalHandleZeroOrMinusOneIsInvalid" />
      <Type Name="SafeFileHandle" />
      <Type Name="SafeHandleMinusOneIsInvalid" />
      <Type Name="SafeHandleZeroOrMinusOneIsInvalid" />
      <Type Name="SafeWaitHandle" />
    </Namespace>
    <Namespace Name="System">
      <Type Name="_AppDomain" />
      <Type Name="AccessViolationException" />
      <Type Name="Action`1" DisplayName="Action&lt;T&gt;" />
      <Type Name="ActivationContext" />
      <Type Name="ActivationContext+ContextForm" />
      <Type Name="Activator" />
      <Type Name="AppDomain" />
      <Type Name="AppDomainInitializer" />
      <Type Name="AppDomainManager" />
      <Type Name="AppDomainManagerInitializationOptions" />
      <Type Name="AppDomainSetup" />
      <Type Name="AppDomainUnloadedException" />
      <Type Name="ApplicationException" />
      <Type Name="ApplicationId" />
      <Type Name="ApplicationIdentity" />
      <Type Name="ArgIterator" />
      <Type Name="ArgumentException" />
      <Type Name="ArgumentNullException" />
      <Type Name="ArgumentOutOfRangeException" />
      <Type Name="ArithmeticException" />
      <Type Name="Array" />
      <Type Name="ArraySegment`1" DisplayName="ArraySegment&lt;T&gt;" />
      <Type Name="ArrayTypeMismatchException" />
      <Type Name="AssemblyLoadEventArgs" />
      <Type Name="AssemblyLoadEventHandler" />
      <Type Name="AsyncCallback" />
      <Type Name="Attribute" />
      <Type Name="AttributeTargets" />
      <Type Name="AttributeUsageAttribute" />
      <Type Name="BadImageFormatException" />
      <Type Name="Base64FormattingOptions" />
      <Type Name="BitConverter" />
      <Type Name="Boolean" />
      <Type Name="Buffer" />
      <Type Name="Byte" />
      <Type Name="CannotUnloadAppDomainException" />
      <Type Name="Char" />
      <Type Name="CharEnumerator" />
      <Type Name="CLSCompliantAttribute" />
      <Type Name="Comparison`1" DisplayName="Comparison&lt;T&gt;" />
      <Type Name="Console" />
      <Type Name="ConsoleCancelEventArgs" />
      <Type Name="ConsoleCancelEventHandler" />
      <Type Name="ConsoleColor" />
      <Type Name="ConsoleKey" />
      <Type Name="ConsoleKeyInfo" />
      <Type Name="ConsoleModifiers" />
      <Type Name="ConsoleSpecialKey" />
      <Type Name="ContextBoundObject" />
      <Type Name="ContextMarshalException" />
      <Type Name="ContextStaticAttribute" />
      <Type Name="Convert" />
      <Type Name="Converter`2" DisplayName="Converter&lt;TInput,TOutput&gt;" />
      <Type Name="CrossAppDomainDelegate" />
      <Type Name="DataMisalignedException" />
      <Type Name="DateTime" />
      <Type Name="DateTimeKind" />
      <Type Name="DayOfWeek" />
      <Type Name="DBNull" />
      <Type Name="Decimal" />
      <Type Name="Delegate" />
      <Type Name="DivideByZeroException" />
      <Type Name="DllNotFoundException" />
      <Type Name="Double" />
      <Type Name="DuplicateWaitObjectException" />
      <Type Name="EntryPointNotFoundException" />
      <Type Name="Enum" />
      <Type Name="Environment" />
      <Type Name="Environment+SpecialFolder" />
      <Type Name="EnvironmentVariableTarget" />
      <Type Name="EventArgs" />
      <Type Name="EventHandler" />
      <Type Name="EventHandler`1" DisplayName="EventHandler&lt;TEventArgs&gt;" />
      <Type Name="Exception" />
      <Type Name="ExecutionEngineException" />
      <Type Name="FieldAccessException" />
      <Type Name="FlagsAttribute" />
      <Type Name="FormatException" />
      <Type Name="GC" />
      <Type Name="Guid" />
      <Type Name="IAppDomainSetup" />
      <Type Name="IAsyncResult" />
      <Type Name="ICloneable" />
      <Type Name="IComparable" />
      <Type Name="IComparable`1" DisplayName="IComparable&lt;T&gt;" />
      <Type Name="IConvertible" />
      <Type Name="ICustomFormatter" />
      <Type Name="IDisposable" />
      <Type Name="IEquatable`1" DisplayName="IEquatable&lt;T&gt;" />
      <Type Name="IFormatProvider" />
      <Type Name="IFormattable" />
      <Type Name="IndexOutOfRangeException" />
      <Type Name="InsufficientMemoryException" />
      <Type Name="Int16" />
      <Type Name="Int32" />
      <Type Name="Int64" />
      <Type Name="IntPtr" />
      <Type Name="InvalidCastException" />
      <Type Name="InvalidOperationException" />
      <Type Name="InvalidProgramException" />
      <Type Name="IServiceProvider" />
      <Type Name="LoaderOptimization" />
      <Type Name="LoaderOptimizationAttribute" />
      <Type Name="LocalDataStoreSlot" />
      <Type Name="MarshalByRefObject" />
      <Type Name="Math" />
      <Type Name="MemberAccessException" />
      <Type Name="MethodAccessException" />
      <Type Name="MidpointRounding" />
      <Type Name="MissingFieldException" />
      <Type Name="MissingMemberException" />
      <Type Name="MissingMethodException" />
      <Type Name="ModuleHandle" />
      <Type Name="MTAThreadAttribute" />
      <Type Name="MulticastDelegate" />
      <Type Name="MulticastNotSupportedException" />
      <Type Name="NonSerializedAttribute" />
      <Type Name="NotFiniteNumberException" />
      <Type Name="NotImplementedException" />
      <Type Name="NotSupportedException" />
      <Type Name="Nullable" />
      <Type Name="Nullable`1" DisplayName="Nullable&lt;T&gt;" />
      <Type Name="NullReferenceException" />
      <Type Name="Object" />
      <Type Name="ObjectDisposedException" />
      <Type Name="ObsoleteAttribute" />
      <Type Name="OperatingSystem" />
      <Type Name="OperationCanceledException" />
      <Type Name="OutOfMemoryException" />
      <Type Name="OverflowException" />
      <Type Name="ParamArrayAttribute" />
      <Type Name="PlatformID" />
      <Type Name="PlatformNotSupportedException" />
      <Type Name="Predicate`1" DisplayName="Predicate&lt;T&gt;" />
      <Type Name="Random" />
      <Type Name="RankException" />
      <Type Name="ResolveEventArgs" />
      <Type Name="ResolveEventHandler" />
      <Type Name="RuntimeArgumentHandle" />
      <Type Name="RuntimeFieldHandle" />
      <Type Name="RuntimeMethodHandle" />
      <Type Name="RuntimeTypeHandle" />
      <Type Name="SByte" />
      <Type Name="SerializableAttribute" />
      <Type Name="Single" />
      <Type Name="StackOverflowException" />
      <Type Name="STAThreadAttribute" />
      <Type Name="String" />
      <Type Name="StringComparer" />
      <Type Name="StringComparison" />
      <Type Name="StringSplitOptions" />
      <Type Name="SystemException" />
      <Type Name="ThreadStaticAttribute" />
      <Type Name="TimeoutException" />
      <Type Name="TimeSpan" />
      <Type Name="TimeZone" />
      <Type Name="Type" />
      <Type Name="TypeCode" />
      <Type Name="TypedReference" />
      <Type Name="TypeInitializationException" />
      <Type Name="TypeLoadException" />
      <Type Name="TypeUnloadedException" />
      <Type Name="UInt16" />
      <Type Name="UInt32" />
      <Type Name="UInt64" />
      <Type Name="UIntPtr" />
      <Type Name="UnauthorizedAccessException" />
      <Type Name="UnhandledExceptionEventArgs" />
      <Type Name="UnhandledExceptionEventHandler" />
      <Type Name="ValueType" />
      <Type Name="Version" />
      <Type Name="Void" />
      <Type Name="WeakReference" />
    </Namespace>
    <Namespace Name="System.Collections">
      <Type Name="ArrayList" />
      <Type Name="BitArray" />
      <Type Name="CaseInsensitiveComparer" />
      <Type Name="CaseInsensitiveHashCodeProvider" />
      <Type Name="CollectionBase" />
      <Type Name="Comparer" />
      <Type Name="DictionaryBase" />
      <Type Name="DictionaryEntry" />
      <Type Name="Hashtable" />
      <Type Name="ICollection" />
      <Type Name="IComparer" />
      <Type Name="IDictionary" />
      <Type Name="IDictionaryEnumerator" />
      <Type Name="IEnumerable" />
      <Type Name="IEnumerator" />
      <Type Name="IEqualityComparer" />
      <Type Name="IHashCodeProvider" />
      <Type Name="IList" />
      <Type Name="Queue" />
      <Type Name="ReadOnlyCollectionBase" />
      <Type Name="SortedList" />
      <Type Name="Stack" />
    </Namespace>
    <Namespace Name="System.Collections.Generic">
      <Type Name="Comparer`1" DisplayName="Comparer&lt;T&gt;" />
      <Type Name="Dictionary`2" DisplayName="Dictionary&lt;TKey,TValue&gt;" />
      <Type Name="Dictionary`2+Enumerator" DisplayName="Dictionary&lt;TKey,TValue&gt;+Enumerator" />
      <Type Name="Dictionary`2+KeyCollection" DisplayName="Dictionary&lt;TKey,TValue&gt;+KeyCollection" />
      <Type Name="Dictionary`2+KeyCollection+Enumerator" DisplayName="KeyCollection&lt;TKey,TValue&gt;+Enumerator" />
      <Type Name="Dictionary`2+ValueCollection" DisplayName="Dictionary&lt;TKey,TValue&gt;+ValueCollection" />
      <Type Name="Dictionary`2+ValueCollection+Enumerator" DisplayName="ValueCollection&lt;TKey,TValue&gt;+Enumerator" />
      <Type Name="EqualityComparer`1" DisplayName="EqualityComparer&lt;T&gt;" />
      <Type Name="ICollection`1" DisplayName="ICollection&lt;T&gt;" />
      <Type Name="IComparer`1" DisplayName="IComparer&lt;T&gt;" />
      <Type Name="IDictionary`2" DisplayName="IDictionary&lt;TKey,TValue&gt;" />
      <Type Name="IEnumerable`1" DisplayName="IEnumerable&lt;T&gt;" />
      <Type Name="IEnumerator`1" DisplayName="IEnumerator&lt;T&gt;" />
      <Type Name="IEqualityComparer`1" DisplayName="IEqualityComparer&lt;T&gt;" />
      <Type Name="IList`1" DisplayName="IList&lt;T&gt;" />
      <Type Name="KeyNotFoundException" />
      <Type Name="KeyValuePair`2" DisplayName="KeyValuePair&lt;TKey,TValue&gt;" />
      <Type Name="List`1" DisplayName="List&lt;T&gt;" />
      <Type Name="List`1+Enumerator" DisplayName="List&lt;T&gt;+Enumerator" />
    </Namespace>
    <Namespace Name="System.Collections.ObjectModel">
      <Type Name="Collection`1" DisplayName="Collection&lt;T&gt;" />
      <Type Name="KeyedCollection`2" DisplayName="KeyedCollection&lt;TKey,TItem&gt;" />
      <Type Name="ReadOnlyCollection`1" DisplayName="ReadOnlyCollection&lt;T&gt;" />
    </Namespace>
    <Namespace Name="System.Configuration.Assemblies">
      <Type Name="AssemblyHash" />
      <Type Name="AssemblyHashAlgorithm" />
      <Type Name="AssemblyVersionCompatibility" />
    </Namespace>
    <Namespace Name="System.Diagnostics">
      <Type Name="ConditionalAttribute" />
      <Type Name="DebuggableAttribute" />
      <Type Name="DebuggableAttribute+DebuggingModes" />
      <Type Name="Debugger" />
      <Type Name="DebuggerBrowsableAttribute" />
      <Type Name="DebuggerBrowsableState" />
      <Type Name="DebuggerDisplayAttribute" />
      <Type Name="DebuggerHiddenAttribute" />
      <Type Name="DebuggerNonUserCodeAttribute" />
      <Type Name="DebuggerStepperBoundaryAttribute" />
      <Type Name="DebuggerStepThroughAttribute" />
      <Type Name="DebuggerTypeProxyAttribute" />
      <Type Name="DebuggerVisualizerAttribute" />
      <Type Name="StackFrame" />
      <Type Name="StackTrace" />
    </Namespace>
    <Namespace Name="System.Diagnostics.CodeAnalysis">
      <Type Name="SuppressMessageAttribute" />
    </Namespace>
    <Namespace Name="System.Diagnostics.SymbolStore">
      <Type Name="ISymbolBinder" />
      <Type Name="ISymbolBinder1" />
      <Type Name="ISymbolDocument" />
      <Type Name="ISymbolDocumentWriter" />
      <Type Name="ISymbolMethod" />
      <Type Name="ISymbolNamespace" />
      <Type Name="ISymbolReader" />
      <Type Name="ISymbolScope" />
      <Type Name="ISymbolVariable" />
      <Type Name="ISymbolWriter" />
      <Type Name="SymAddressKind" />
      <Type Name="SymbolToken" />
      <Type Name="SymDocumentType" />
      <Type Name="SymLanguageType" />
      <Type Name="SymLanguageVendor" />
    </Namespace>
    <Namespace Name="System.Globalization">
      <Type Name="Calendar" />
      <Type Name="CalendarAlgorithmType" />
      <Type Name="CalendarWeekRule" />
      <Type Name="CharUnicodeInfo" />
      <Type Name="CompareInfo" />
      <Type Name="CompareOptions" />
      <Type Name="CultureInfo" />
      <Type Name="CultureTypes" />
      <Type Name="DateTimeFormatInfo" />
      <Type Name="DateTimeStyles" />
      <Type Name="DaylightTime" />
      <Type Name="DigitShapes" />
      <Type Name="GregorianCalendar" />
      <Type Name="GregorianCalendarTypes" />
      <Type Name="HebrewCalendar" />
      <Type Name="HijriCalendar" />
      <Type Name="IdnMapping" />
      <Type Name="JapaneseCalendar" />
      <Type Name="JulianCalendar" />
      <Type Name="KoreanCalendar" />
      <Type Name="NumberFormatInfo" />
      <Type Name="NumberStyles" />
      <Type Name="PersianCalendar" />
      <Type Name="RegionInfo" />
      <Type Name="SortKey" />
      <Type Name="StringInfo" />
      <Type Name="TaiwanCalendar" />
      <Type Name="TextElementEnumerator" />
      <Type Name="TextInfo" />
      <Type Name="ThaiBuddhistCalendar" />
      <Type Name="UnicodeCategory" />
    </Namespace>
    <Namespace Name="System.IO">
      <Type Name="BinaryReader" />
      <Type Name="BinaryWriter" />
      <Type Name="BufferedStream" />
      <Type Name="Directory" />
      <Type Name="DirectoryInfo" />
      <Type Name="DirectoryNotFoundException" />
      <Type Name="DriveInfo" />
      <Type Name="DriveNotFoundException" />
      <Type Name="DriveType" />
      <Type Name="EndOfStreamException" />
      <Type Name="File" />
      <Type Name="FileAccess" />
      <Type Name="FileAttributes" />
      <Type Name="FileInfo" />
      <Type Name="FileLoadException" />
      <Type Name="FileMode" />
      <Type Name="FileNotFoundException" />
      <Type Name="FileOptions" />
      <Type Name="FileShare" />
      <Type Name="FileStream" />
      <Type Name="FileSystemInfo" />
      <Type Name="IOException" />
      <Type Name="MemoryStream" />
      <Type Name="Path" />
      <Type Name="PathTooLongException" />
      <Type Name="SearchOption" />
      <Type Name="SeekOrigin" />
      <Type Name="Stream" />
      <Type Name="StreamReader" />
      <Type Name="StreamWriter" />
      <Type Name="StringReader" />
      <Type Name="StringWriter" />
      <Type Name="TextReader" />
      <Type Name="TextWriter" />
      <Type Name="UnmanagedMemoryStream" />
    </Namespace>
    <Namespace Name="System.IO.IsolatedStorage">
      <Type Name="INormalizeForIsolatedStorage" />
      <Type Name="IsolatedStorage" />
      <Type Name="IsolatedStorageException" />
      <Type Name="IsolatedStorageFile" />
      <Type Name="IsolatedStorageFileStream" />
      <Type Name="IsolatedStorageScope" />
    </Namespace>
    <Namespace Name="System.Reflection">
      <Type Name="AmbiguousMatchException" />
      <Type Name="Assembly" />
      <Type Name="AssemblyAlgorithmIdAttribute" />
      <Type Name="AssemblyCompanyAttribute" />
      <Type Name="AssemblyConfigurationAttribute" />
      <Type Name="AssemblyCopyrightAttribute" />
      <Type Name="AssemblyCultureAttribute" />
      <Type Name="AssemblyDefaultAliasAttribute" />
      <Type Name="AssemblyDelaySignAttribute" />
      <Type Name="AssemblyDescriptionAttribute" />
      <Type Name="AssemblyFileVersionAttribute" />
      <Type Name="AssemblyFlagsAttribute" />
      <Type Name="AssemblyInformationalVersionAttribute" />
      <Type Name="AssemblyKeyFileAttribute" />
      <Type Name="AssemblyKeyNameAttribute" />
      <Type Name="AssemblyName" />
      <Type Name="AssemblyNameFlags" />
      <Type Name="AssemblyNameProxy" />
      <Type Name="AssemblyProductAttribute" />
      <Type Name="AssemblyTitleAttribute" />
      <Type Name="AssemblyTrademarkAttribute" />
      <Type Name="AssemblyVersionAttribute" />
      <Type Name="Binder" />
      <Type Name="BindingFlags" />
      <Type Name="CallingConventions" />
      <Type Name="ConstructorInfo" />
      <Type Name="CustomAttributeData" />
      <Type Name="CustomAttributeFormatException" />
      <Type Name="CustomAttributeNamedArgument" />
      <Type Name="CustomAttributeTypedArgument" />
      <Type Name="DefaultMemberAttribute" />
      <Type Name="EventAttributes" />
      <Type Name="EventInfo" />
      <Type Name="ExceptionHandlingClause" />
      <Type Name="ExceptionHandlingClauseOptions" />
      <Type Name="FieldAttributes" />
      <Type Name="FieldInfo" />
      <Type Name="GenericParameterAttributes" />
      <Type Name="ICustomAttributeProvider" />
      <Type Name="ImageFileMachine" />
      <Type Name="InterfaceMapping" />
      <Type Name="InvalidFilterCriteriaException" />
      <Type Name="IReflect" />
      <Type Name="LocalVariableInfo" />
      <Type Name="ManifestResourceInfo" />
      <Type Name="MemberFilter" />
      <Type Name="MemberInfo" />
      <Type Name="MemberTypes" />
      <Type Name="MethodAttributes" />
      <Type Name="MethodBase" />
      <Type Name="MethodBody" />
      <Type Name="MethodImplAttributes" />
      <Type Name="MethodInfo" />
      <Type Name="Missing" />
      <Type Name="Module" />
      <Type Name="ModuleResolveEventHandler" />
      <Type Name="ObfuscateAssemblyAttribute" />
      <Type Name="ObfuscationAttribute" />
      <Type Name="ParameterAttributes" />
      <Type Name="ParameterInfo" />
      <Type Name="ParameterModifier" />
      <Type Name="Pointer" />
      <Type Name="PortableExecutableKinds" />
      <Type Name="ProcessorArchitecture" />
      <Type Name="PropertyAttributes" />
      <Type Name="PropertyInfo" />
      <Type Name="ReflectionTypeLoadException" />
      <Type Name="ResourceAttributes" />
      <Type Name="ResourceLocation" />
      <Type Name="StrongNameKeyPair" />
      <Type Name="TargetException" />
      <Type Name="TargetInvocationException" />
      <Type Name="TargetParameterCountException" />
      <Type Name="TypeAttributes" />
      <Type Name="TypeDelegator" />
      <Type Name="TypeFilter" />
    </Namespace>
    <Namespace Name="System.Reflection.Emit">
      <Type Name="AssemblyBuilder" />
      <Type Name="AssemblyBuilderAccess" />
      <Type Name="ConstructorBuilder" />
      <Type Name="CustomAttributeBuilder" />
      <Type Name="DynamicMethod" />
      <Type Name="EnumBuilder" />
      <Type Name="EventBuilder" />
      <Type Name="EventToken" />
      <Type Name="FieldBuilder" />
      <Type Name="FieldToken" />
      <Type Name="FlowControl" />
      <Type Name="GenericTypeParameterBuilder" />
      <Type Name="ILGenerator" />
      <Type Name="Label" />
      <Type Name="LocalBuilder" />
      <Type Name="MethodBuilder" />
      <Type Name="MethodRental" />
      <Type Name="MethodToken" />
      <Type Name="ModuleBuilder" />
      <Type Name="OpCode" />
      <Type Name="OpCodes" />
      <Type Name="OpCodeType" />
      <Type Name="OperandType" />
      <Type Name="PackingSize" />
      <Type Name="ParameterBuilder" />
      <Type Name="ParameterToken" />
      <Type Name="PEFileKinds" />
      <Type Name="PropertyBuilder" />
      <Type Name="PropertyToken" />
      <Type Name="SignatureHelper" />
      <Type Name="SignatureToken" />
      <Type Name="StackBehaviour" />
      <Type Name="StringToken" />
      <Type Name="TypeBuilder" />
      <Type Name="TypeToken" />
      <Type Name="UnmanagedMarshal" />
    </Namespace>
    <Namespace Name="System.Resources">
      <Type Name="IResourceReader" />
      <Type Name="IResourceWriter" />
      <Type Name="MissingManifestResourceException" />
      <Type Name="MissingSatelliteAssemblyException" />
      <Type Name="NeutralResourcesLanguageAttribute" />
      <Type Name="ResourceManager" />
      <Type Name="ResourceReader" />
      <Type Name="ResourceSet" />
      <Type Name="ResourceWriter" />
      <Type Name="SatelliteContractVersionAttribute" />
      <Type Name="UltimateResourceFallbackLocation" />
    </Namespace>
    <Namespace Name="System.Runtime.CompilerServices">
      <Type Name="AccessedThroughPropertyAttribute" />
      <Type Name="CallConvCdecl" />
      <Type Name="CallConvFastcall" />
      <Type Name="CallConvStdcall" />
      <Type Name="CallConvThiscall" />
      <Type Name="CompilationRelaxations" />
      <Type Name="CompilationRelaxationsAttribute" />
      <Type Name="CompilerGeneratedAttribute" />
      <Type Name="CompilerGlobalScopeAttribute" />
      <Type Name="CompilerMarshalOverride" />
      <Type Name="CustomConstantAttribute" />
      <Type Name="DateTimeConstantAttribute" />
      <Type Name="DecimalConstantAttribute" />
      <Type Name="DefaultDependencyAttribute" />
      <Type Name="DependencyAttribute" />
      <Type Name="DiscardableAttribute" />
      <Type Name="FixedAddressValueTypeAttribute" />
      <Type Name="FixedBufferAttribute" />
      <Type Name="HasCopySemanticsAttribute" />
      <Type Name="IDispatchConstantAttribute" />
      <Type Name="IndexerNameAttribute" />
      <Type Name="InternalsVisibleToAttribute" />
      <Type Name="IsBoxed" />
      <Type Name="IsByValue" />
      <Type Name="IsConst" />
      <Type Name="IsCopyConstructed" />
      <Type Name="IsExplicitlyDereferenced" />
      <Type Name="IsImplicitlyDereferenced" />
      <Type Name="IsJitIntrinsic" />
      <Type Name="IsLong" />
      <Type Name="IsPinned" />
      <Type Name="IsSignUnspecifiedByte" />
      <Type Name="IsUdtReturn" />
      <Type Name="IsVolatile" />
      <Type Name="IUnknownConstantAttribute" />
      <Type Name="LoadHint" />
      <Type Name="MethodCodeType" />
      <Type Name="MethodImplAttribute" />
      <Type Name="MethodImplOptions" />
      <Type Name="NativeCppClassAttribute" />
      <Type Name="RequiredAttributeAttribute" />
      <Type Name="RuntimeCompatibilityAttribute" />
      <Type Name="RuntimeHelpers" />
      <Type Name="RuntimeHelpers+CleanupCode" />
      <Type Name="RuntimeHelpers+TryCode" />
      <Type Name="RuntimeWrappedException" />
      <Type Name="ScopelessEnumAttribute" />
      <Type Name="SpecialNameAttribute" />
      <Type Name="StringFreezingAttribute" />
      <Type Name="SuppressIldasmAttribute" />
      <Type Name="TypeForwardedToAttribute" />
      <Type Name="UnsafeValueTypeAttribute" />
    </Namespace>
    <Namespace Name="System.Runtime.ConstrainedExecution">
      <Type Name="Cer" />
      <Type Name="Consistency" />
      <Type Name="CriticalFinalizerObject" />
      <Type Name="PrePrepareMethodAttribute" />
      <Type Name="ReliabilityContractAttribute" />
    </Namespace>
    <Namespace Name="System.Runtime.Hosting">
      <Type Name="ActivationArguments" />
      <Type Name="ApplicationActivator" />
    </Namespace>
    <Namespace Name="System.Runtime.InteropServices">
      <Type Name="_Activator" />
      <Type Name="_Assembly" />
      <Type Name="_AssemblyBuilder" />
      <Type Name="_AssemblyName" />
      <Type Name="_Attribute" />
      <Type Name="_ConstructorBuilder" />
      <Type Name="_ConstructorInfo" />
      <Type Name="_CustomAttributeBuilder" />
      <Type Name="_EnumBuilder" />
      <Type Name="_EventBuilder" />
      <Type Name="_EventInfo" />
      <Type Name="_Exception" />
      <Type Name="_FieldBuilder" />
      <Type Name="_FieldInfo" />
      <Type Name="_ILGenerator" />
      <Type Name="_LocalBuilder" />
      <Type Name="_MemberInfo" />
      <Type Name="_MethodBase" />
      <Type Name="_MethodBuilder" />
      <Type Name="_MethodInfo" />
      <Type Name="_MethodRental" />
      <Type Name="_Module" />
      <Type Name="_ModuleBuilder" />
      <Type Name="_ParameterBuilder" />
      <Type Name="_ParameterInfo" />
      <Type Name="_PropertyBuilder" />
      <Type Name="_PropertyInfo" />
      <Type Name="_SignatureHelper" />
      <Type Name="_Thread" />
      <Type Name="_Type" />
      <Type Name="_TypeBuilder" />
      <Type Name="ArrayWithOffset" />
      <Type Name="AssemblyRegistrationFlags" />
      <Type Name="AutomationProxyAttribute" />
      <Type Name="BestFitMappingAttribute" />
      <Type Name="BIND_OPTS" />
      <Type Name="BINDPTR" />
      <Type Name="BStrWrapper" />
      <Type Name="CALLCONV" />
      <Type Name="CallingConvention" />
      <Type Name="CharSet" />
      <Type Name="ClassInterfaceAttribute" />
      <Type Name="ClassInterfaceType" />
      <Type Name="CoClassAttribute" />
      <Type Name="ComAliasNameAttribute" />
      <Type Name="ComCompatibleVersionAttribute" />
      <Type Name="ComConversionLossAttribute" />
      <Type Name="ComDefaultInterfaceAttribute" />
      <Type Name="ComEventInterfaceAttribute" />
      <Type Name="COMException" />
      <Type Name="ComImportAttribute" />
      <Type Name="ComInterfaceType" />
      <Type Name="ComMemberType" />
      <Type Name="ComObjectInUseException" />
      <Type Name="ComRegisterFunctionAttribute" />
      <Type Name="ComSourceInterfacesAttribute" />
      <Type Name="ComUnregisterFunctionAttribute" />
      <Type Name="ComVisibleAttribute" />
      <Type Name="CONNECTDATA" />
      <Type Name="CriticalHandle" />
      <Type Name="CurrencyWrapper" />
      <Type Name="DefaultCharSetAttribute" />
      <Type Name="DESCKIND" />
      <Type Name="DispatchWrapper" />
      <Type Name="DispIdAttribute" />
      <Type Name="DISPPARAMS" />
      <Type Name="DllImportAttribute" />
      <Type Name="ELEMDESC" />
      <Type Name="ELEMDESC+DESCUNION" />
      <Type Name="ErrorWrapper" />
      <Type Name="EXCEPINFO" />
      <Type Name="ExporterEventKind" />
      <Type Name="ExposeAsClassToComAttribute" />
      <Type Name="ExtensibleClassFactory" />
      <Type Name="ExternalException" />
      <Type Name="FieldOffsetAttribute" />
      <Type Name="FILETIME" />
      <Type Name="FUNCDESC" />
      <Type Name="FUNCFLAGS" />
      <Type Name="FUNCKIND" />
      <Type Name="GCHandle" />
      <Type Name="GCHandleType" />
      <Type Name="GuidAttribute" />
      <Type Name="HandleRef" />
      <Type Name="ICustomAdapter" />
      <Type Name="ICustomFactory" />
      <Type Name="ICustomMarshaler" />
      <Type Name="IDispatchImplAttribute" />
      <Type Name="IDispatchImplType" />
      <Type Name="IDLDESC" />
      <Type Name="IDLFLAG" />
      <Type Name="IMPLTYPEFLAGS" />
      <Type Name="ImportedFromTypeLibAttribute" />
      <Type Name="ImporterEventKind" />
      <Type Name="InAttribute" />
      <Type Name="InterfaceTypeAttribute" />
      <Type Name="InvalidComObjectException" />
      <Type Name="InvalidOleVariantTypeException" />
      <Type Name="INVOKEKIND" />
      <Type Name="IRegistrationServices" />
      <Type Name="ITypeLibConverter" />
      <Type Name="ITypeLibExporterNameProvider" />
      <Type Name="ITypeLibExporterNotifySink" />
      <Type Name="ITypeLibImporterNotifySink" />
      <Type Name="LayoutKind" />
      <Type Name="LCIDConversionAttribute" />
      <Type Name="LIBFLAGS" />
      <Type Name="Marshal" />
      <Type Name="MarshalAsAttribute" />
      <Type Name="MarshalDirectiveException" />
      <Type Name="ObjectCreationDelegate" />
      <Type Name="OptionalAttribute" />
      <Type Name="OutAttribute" />
      <Type Name="PARAMDESC" />
      <Type Name="PARAMFLAG" />
      <Type Name="PreserveSigAttribute" />
      <Type Name="PrimaryInteropAssemblyAttribute" />
      <Type Name="ProgIdAttribute" />
      <Type Name="RegistrationClassContext" />
      <Type Name="RegistrationConnectionType" />
      <Type Name="RegistrationServices" />
      <Type Name="RuntimeEnvironment" />
      <Type Name="SafeArrayRankMismatchException" />
      <Type Name="SafeArrayTypeMismatchException" />
      <Type Name="SafeHandle" />
      <Type Name="SEHException" />
      <Type Name="SetWin32ContextInIDispatchAttribute" />
      <Type Name="STATSTG" />
      <Type Name="StructLayoutAttribute" />
      <Type Name="SYSKIND" />
      <Type Name="TYPEATTR" />
      <Type Name="TYPEDESC" />
      <Type Name="TYPEFLAGS" />
      <Type Name="TYPEKIND" />
      <Type Name="TYPELIBATTR" />
      <Type Name="TypeLibConverter" />
      <Type Name="TypeLibExporterFlags" />
      <Type Name="TypeLibFuncAttribute" />
      <Type Name="TypeLibFuncFlags" />
      <Type Name="TypeLibImportClassAttribute" />
      <Type Name="TypeLibImporterFlags" />
      <Type Name="TypeLibTypeAttribute" />
      <Type Name="TypeLibTypeFlags" />
      <Type Name="TypeLibVarAttribute" />
      <Type Name="TypeLibVarFlags" />
      <Type Name="TypeLibVersionAttribute" />
      <Type Name="UCOMIBindCtx" />
      <Type Name="UCOMIConnectionPoint" />
      <Type Name="UCOMIConnectionPointContainer" />
      <Type Name="UCOMIEnumConnectionPoints" />
      <Type Name="UCOMIEnumConnections" />
      <Type Name="UCOMIEnumMoniker" />
      <Type Name="UCOMIEnumString" />
      <Type Name="UCOMIEnumVARIANT" />
      <Type Name="UCOMIMoniker" />
      <Type Name="UCOMIPersistFile" />
      <Type Name="UCOMIRunningObjectTable" />
      <Type Name="UCOMIStream" />
      <Type Name="UCOMITypeComp" />
      <Type Name="UCOMITypeInfo" />
      <Type Name="UCOMITypeLib" />
      <Type Name="UnknownWrapper" />
      <Type Name="UnmanagedFunctionPointerAttribute" />
      <Type Name="UnmanagedType" />
      <Type Name="VARDESC" />
      <Type Name="VARDESC+DESCUNION" />
      <Type Name="VarEnum" />
      <Type Name="VARFLAGS" />
      <Type Name="VariantWrapper" />
    </Namespace>
    <Namespace Name="System.Runtime.InteropServices.ComTypes">
      <Type Name="BIND_OPTS" />
      <Type Name="BINDPTR" />
      <Type Name="CALLCONV" />
      <Type Name="CONNECTDATA" />
      <Type Name="DESCKIND" />
      <Type Name="DISPPARAMS" />
      <Type Name="ELEMDESC" />
      <Type Name="ELEMDESC+DESCUNION" />
      <Type Name="EXCEPINFO" />
      <Type Name="FILETIME" />
      <Type Name="FUNCDESC" />
      <Type Name="FUNCFLAGS" />
      <Type Name="FUNCKIND" />
      <Type Name="IBindCtx" />
      <Type Name="IConnectionPoint" />
      <Type Name="IConnectionPointContainer" />
      <Type Name="IDLDESC" />
      <Type Name="IDLFLAG" />
      <Type Name="IEnumConnectionPoints" />
      <Type Name="IEnumConnections" />
      <Type Name="IEnumMoniker" />
      <Type Name="IEnumString" />
      <Type Name="IEnumVARIANT" />
      <Type Name="IMoniker" />
      <Type Name="IMPLTYPEFLAGS" />
      <Type Name="INVOKEKIND" />
      <Type Name="IPersistFile" />
      <Type Name="IRunningObjectTable" />
      <Type Name="IStream" />
      <Type Name="ITypeComp" />
      <Type Name="ITypeInfo" />
      <Type Name="ITypeInfo2" />
      <Type Name="ITypeLib" />
      <Type Name="ITypeLib2" />
      <Type Name="LIBFLAGS" />
      <Type Name="PARAMDESC" />
      <Type Name="PARAMFLAG" />
      <Type Name="STATSTG" />
      <Type Name="SYSKIND" />
      <Type Name="TYPEATTR" />
      <Type Name="TYPEDESC" />
      <Type Name="TYPEFLAGS" />
      <Type Name="TYPEKIND" />
      <Type Name="TYPELIBATTR" />
      <Type Name="VARDESC" />
      <Type Name="VARDESC+DESCUNION" />
      <Type Name="VARFLAGS" />
      <Type Name="VARKIND" />
    </Namespace>
    <Namespace Name="System.Runtime.InteropServices.Expando">
      <Type Name="IExpando" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting">
      <Type Name="ActivatedClientTypeEntry" />
      <Type Name="ActivatedServiceTypeEntry" />
      <Type Name="IChannelInfo" />
      <Type Name="IEnvoyInfo" />
      <Type Name="InternalRemotingServices" />
      <Type Name="IObjectHandle" />
      <Type Name="IRemotingTypeInfo" />
      <Type Name="ObjectHandle" />
      <Type Name="ObjRef" />
      <Type Name="RemotingConfiguration" />
      <Type Name="RemotingException" />
      <Type Name="RemotingServices" />
      <Type Name="RemotingTimeoutException" />
      <Type Name="ServerException" />
      <Type Name="SoapServices" />
      <Type Name="TypeEntry" />
      <Type Name="WellKnownClientTypeEntry" />
      <Type Name="WellKnownObjectMode" />
      <Type Name="WellKnownServiceTypeEntry" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Activation">
      <Type Name="ActivatorLevel" />
      <Type Name="IActivator" />
      <Type Name="IConstructionCallMessage" />
      <Type Name="IConstructionReturnMessage" />
      <Type Name="UrlAttribute" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Channels">
      <Type Name="BaseChannelObjectWithProperties" />
      <Type Name="BaseChannelSinkWithProperties" />
      <Type Name="BaseChannelWithProperties" />
      <Type Name="ChannelDataStore" />
      <Type Name="ChannelServices" />
      <Type Name="ClientChannelSinkStack" />
      <Type Name="IChannel" />
      <Type Name="IChannelDataStore" />
      <Type Name="IChannelReceiver" />
      <Type Name="IChannelReceiverHook" />
      <Type Name="IChannelSender" />
      <Type Name="IChannelSinkBase" />
      <Type Name="IClientChannelSink" />
      <Type Name="IClientChannelSinkProvider" />
      <Type Name="IClientChannelSinkStack" />
      <Type Name="IClientFormatterSink" />
      <Type Name="IClientFormatterSinkProvider" />
      <Type Name="IClientResponseChannelSinkStack" />
      <Type Name="ISecurableChannel" />
      <Type Name="IServerChannelSink" />
      <Type Name="IServerChannelSinkProvider" />
      <Type Name="IServerChannelSinkStack" />
      <Type Name="IServerFormatterSinkProvider" />
      <Type Name="IServerResponseChannelSinkStack" />
      <Type Name="ITransportHeaders" />
      <Type Name="ServerChannelSinkStack" />
      <Type Name="ServerProcessing" />
      <Type Name="SinkProviderData" />
      <Type Name="TransportHeaders" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Contexts">
      <Type Name="Context" />
      <Type Name="ContextAttribute" />
      <Type Name="ContextProperty" />
      <Type Name="CrossContextDelegate" />
      <Type Name="IContextAttribute" />
      <Type Name="IContextProperty" />
      <Type Name="IContextPropertyActivator" />
      <Type Name="IContributeClientContextSink" />
      <Type Name="IContributeDynamicSink" />
      <Type Name="IContributeEnvoySink" />
      <Type Name="IContributeObjectSink" />
      <Type Name="IContributeServerContextSink" />
      <Type Name="IDynamicMessageSink" />
      <Type Name="IDynamicProperty" />
      <Type Name="SynchronizationAttribute" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Lifetime">
      <Type Name="ClientSponsor" />
      <Type Name="ILease" />
      <Type Name="ISponsor" />
      <Type Name="LeaseState" />
      <Type Name="LifetimeServices" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Messaging">
      <Type Name="AsyncResult" />
      <Type Name="CallContext" />
      <Type Name="ConstructionCall" />
      <Type Name="ConstructionResponse" />
      <Type Name="Header" />
      <Type Name="HeaderHandler" />
      <Type Name="ILogicalThreadAffinative" />
      <Type Name="IMessage" />
      <Type Name="IMessageCtrl" />
      <Type Name="IMessageSink" />
      <Type Name="IMethodCallMessage" />
      <Type Name="IMethodMessage" />
      <Type Name="IMethodReturnMessage" />
      <Type Name="InternalMessageWrapper" />
      <Type Name="IRemotingFormatter" />
      <Type Name="LogicalCallContext" />
      <Type Name="MessageSurrogateFilter" />
      <Type Name="MethodCall" />
      <Type Name="MethodCallMessageWrapper" />
      <Type Name="MethodResponse" />
      <Type Name="MethodReturnMessageWrapper" />
      <Type Name="OneWayAttribute" />
      <Type Name="RemotingSurrogateSelector" />
      <Type Name="ReturnMessage" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Metadata">
      <Type Name="SoapAttribute" />
      <Type Name="SoapFieldAttribute" />
      <Type Name="SoapMethodAttribute" />
      <Type Name="SoapOption" />
      <Type Name="SoapParameterAttribute" />
      <Type Name="SoapTypeAttribute" />
      <Type Name="XmlFieldOrderOption" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Metadata.W3cXsd2001">
      <Type Name="ISoapXsd" />
      <Type Name="SoapAnyUri" />
      <Type Name="SoapBase64Binary" />
      <Type Name="SoapDate" />
      <Type Name="SoapDateTime" />
      <Type Name="SoapDay" />
      <Type Name="SoapDuration" />
      <Type Name="SoapEntities" />
      <Type Name="SoapEntity" />
      <Type Name="SoapHexBinary" />
      <Type Name="SoapId" />
      <Type Name="SoapIdref" />
      <Type Name="SoapIdrefs" />
      <Type Name="SoapInteger" />
      <Type Name="SoapLanguage" />
      <Type Name="SoapMonth" />
      <Type Name="SoapMonthDay" />
      <Type Name="SoapName" />
      <Type Name="SoapNcName" />
      <Type Name="SoapNegativeInteger" />
      <Type Name="SoapNmtoken" />
      <Type Name="SoapNmtokens" />
      <Type Name="SoapNonNegativeInteger" />
      <Type Name="SoapNonPositiveInteger" />
      <Type Name="SoapNormalizedString" />
      <Type Name="SoapNotation" />
      <Type Name="SoapPositiveInteger" />
      <Type Name="SoapQName" />
      <Type Name="SoapTime" />
      <Type Name="SoapToken" />
      <Type Name="SoapYear" />
      <Type Name="SoapYearMonth" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Proxies">
      <Type Name="ProxyAttribute" />
      <Type Name="RealProxy" />
    </Namespace>
    <Namespace Name="System.Runtime.Remoting.Services">
      <Type Name="EnterpriseServicesHelper" />
      <Type Name="ITrackingHandler" />
      <Type Name="TrackingServices" />
    </Namespace>
    <Namespace Name="System.Runtime.Serialization">
      <Type Name="Formatter" />
      <Type Name="FormatterConverter" />
      <Type Name="FormatterServices" />
      <Type Name="IDeserializationCallback" />
      <Type Name="IFormatter" />
      <Type Name="IFormatterConverter" />
      <Type Name="IObjectReference" />
      <Type Name="ISerializable" />
      <Type Name="ISerializationSurrogate" />
      <Type Name="ISurrogateSelector" />
      <Type Name="ObjectIDGenerator" />
      <Type Name="ObjectManager" />
      <Type Name="OnDeserializedAttribute" />
      <Type Name="OnDeserializingAttribute" />
      <Type Name="OnSerializedAttribute" />
      <Type Name="OnSerializingAttribute" />
      <Type Name="OptionalFieldAttribute" />
      <Type Name="SerializationBinder" />
      <Type Name="SerializationEntry" />
      <Type Name="SerializationException" />
      <Type Name="SerializationInfo" />
      <Type Name="SerializationInfoEnumerator" />
      <Type Name="SerializationObjectManager" />
      <Type Name="StreamingContext" />
      <Type Name="StreamingContextStates" />
      <Type Name="SurrogateSelector" />
    </Namespace>
    <Namespace Name="System.Runtime.Serialization.Formatters">
      <Type Name="FormatterAssemblyStyle" />
      <Type Name="FormatterTypeStyle" />
      <Type Name="IFieldInfo" />
      <Type Name="InternalRM" />
      <Type Name="InternalST" />
      <Type Name="ISoapMessage" />
      <Type Name="ServerFault" />
      <Type Name="SoapFault" />
      <Type Name="SoapMessage" />
      <Type Name="TypeFilterLevel" />
    </Namespace>
    <Namespace Name="System.Runtime.Serialization.Formatters.Binary">
      <Type Name="BinaryFormatter" />
    </Namespace>
    <Namespace Name="System.Runtime.Versioning">
      <Type Name="ResourceConsumptionAttribute" />
      <Type Name="ResourceExposureAttribute" />
      <Type Name="ResourceScope" />
      <Type Name="VersioningHelper" />
    </Namespace>
    <Namespace Name="System.Security">
      <Type Name="AllowPartiallyTrustedCallersAttribute" />
      <Type Name="CodeAccessPermission" />
      <Type Name="HostProtectionException" />
      <Type Name="HostSecurityManager" />
      <Type Name="HostSecurityManagerOptions" />
      <Type Name="IEvidenceFactory" />
      <Type Name="IPermission" />
      <Type Name="ISecurityEncodable" />
      <Type Name="ISecurityPolicyEncodable" />
      <Type Name="IStackWalk" />
      <Type Name="NamedPermissionSet" />
      <Type Name="PermissionSet" />
      <Type Name="PolicyLevelType" />
      <Type Name="SecureString" />
      <Type Name="SecurityContext" />
      <Type Name="SecurityCriticalAttribute" />
      <Type Name="SecurityCriticalScope" />
      <Type Name="SecurityElement" />
      <Type Name="SecurityException" />
      <Type Name="SecurityManager" />
      <Type Name="SecurityTransparentAttribute" />
      <Type Name="SecurityTreatAsSafeAttribute" />
      <Type Name="SecurityZone" />
      <Type Name="SuppressUnmanagedCodeSecurityAttribute" />
      <Type Name="UnverifiableCodeAttribute" />
      <Type Name="VerificationException" />
      <Type Name="XmlSyntaxException" />
    </Namespace>
    <Namespace Name="System.Security.AccessControl">
      <Type Name="AccessControlActions" />
      <Type Name="AccessControlModification" />
      <Type Name="AccessControlSections" />
      <Type Name="AccessControlType" />
      <Type Name="AccessRule" />
      <Type Name="AceEnumerator" />
      <Type Name="AceFlags" />
      <Type Name="AceQualifier" />
      <Type Name="AceType" />
      <Type Name="AuditFlags" />
      <Type Name="AuditRule" />
      <Type Name="AuthorizationRule" />
      <Type Name="AuthorizationRuleCollection" />
      <Type Name="CommonAce" />
      <Type Name="CommonAcl" />
      <Type Name="CommonObjectSecurity" />
      <Type Name="CommonSecurityDescriptor" />
      <Type Name="CompoundAce" />
      <Type Name="CompoundAceType" />
      <Type Name="ControlFlags" />
      <Type Name="CryptoKeyAccessRule" />
      <Type Name="CryptoKeyAuditRule" />
      <Type Name="CryptoKeyRights" />
      <Type Name="CryptoKeySecurity" />
      <Type Name="CustomAce" />
      <Type Name="DirectoryObjectSecurity" />
      <Type Name="DirectorySecurity" />
      <Type Name="DiscretionaryAcl" />
      <Type Name="EventWaitHandleAccessRule" />
      <Type Name="EventWaitHandleAuditRule" />
      <Type Name="EventWaitHandleRights" />
      <Type Name="EventWaitHandleSecurity" />
      <Type Name="FileSecurity" />
      <Type Name="FileSystemAccessRule" />
      <Type Name="FileSystemAuditRule" />
      <Type Name="FileSystemRights" />
      <Type Name="FileSystemSecurity" />
      <Type Name="GenericAce" />
      <Type Name="GenericAcl" />
      <Type Name="GenericSecurityDescriptor" />
      <Type Name="InheritanceFlags" />
      <Type Name="KnownAce" />
      <Type Name="MutexAccessRule" />
      <Type Name="MutexAuditRule" />
      <Type Name="MutexRights" />
      <Type Name="MutexSecurity" />
      <Type Name="NativeObjectSecurity" />
      <Type Name="ObjectAccessRule" />
      <Type Name="ObjectAce" />
      <Type Name="ObjectAceFlags" />
      <Type Name="ObjectAuditRule" />
      <Type Name="ObjectSecurity" />
      <Type Name="PrivilegeNotHeldException" />
      <Type Name="PropagationFlags" />
      <Type Name="QualifiedAce" />
      <Type Name="RawAcl" />
      <Type Name="RawSecurityDescriptor" />
      <Type Name="RegistryAccessRule" />
      <Type Name="RegistryAuditRule" />
      <Type Name="RegistryRights" />
      <Type Name="RegistrySecurity" />
      <Type Name="ResourceType" />
      <Type Name="SecurityInfos" />
      <Type Name="SystemAcl" />
    </Namespace>
    <Namespace Name="System.Security.Cryptography">
      <Type Name="AsymmetricAlgorithm" />
      <Type Name="AsymmetricKeyExchangeDeformatter" />
      <Type Name="AsymmetricKeyExchangeFormatter" />
      <Type Name="AsymmetricSignatureDeformatter" />
      <Type Name="AsymmetricSignatureFormatter" />
      <Type Name="CipherMode" />
      <Type Name="CryptoAPITransform" />
      <Type Name="CryptoConfig" />
      <Type Name="CryptographicException" />
      <Type Name="CryptographicUnexpectedOperationException" />
      <Type Name="CryptoStream" />
      <Type Name="CryptoStreamMode" />
      <Type Name="CspKeyContainerInfo" />
      <Type Name="CspParameters" />
      <Type Name="CspProviderFlags" />
      <Type Name="DeriveBytes" />
      <Type Name="DES" />
      <Type Name="DESCryptoServiceProvider" />
      <Type Name="DSA" />
      <Type Name="DSACryptoServiceProvider" />
      <Type Name="DSAParameters" />
      <Type Name="DSASignatureDeformatter" />
      <Type Name="DSASignatureFormatter" />
      <Type Name="FromBase64Transform" />
      <Type Name="FromBase64TransformMode" />
      <Type Name="HashAlgorithm" />
      <Type Name="HMAC" />
      <Type Name="HMACMD5" />
      <Type Name="HMACRIPEMD160" />
      <Type Name="HMACSHA1" />
      <Type Name="HMACSHA256" />
      <Type Name="HMACSHA384" />
      <Type Name="HMACSHA512" />
      <Type Name="ICryptoTransform" />
      <Type Name="ICspAsymmetricAlgorithm" />
      <Type Name="KeyedHashAlgorithm" />
      <Type Name="KeyNumber" />
      <Type Name="KeySizes" />
      <Type Name="MACTripleDES" />
      <Type Name="MaskGenerationMethod" />
      <Type Name="MD5" />
      <Type Name="MD5CryptoServiceProvider" />
      <Type Name="PaddingMode" />
      <Type Name="PasswordDeriveBytes" />
      <Type Name="PKCS1MaskGenerationMethod" />
      <Type Name="RandomNumberGenerator" />
      <Type Name="RC2" />
      <Type Name="RC2CryptoServiceProvider" />
      <Type Name="Rfc2898DeriveBytes" />
      <Type Name="Rijndael" />
      <Type Name="RijndaelManaged" />
      <Type Name="RijndaelManagedTransform" />
      <Type Name="RIPEMD160" />
      <Type Name="RIPEMD160Managed" />
      <Type Name="RNGCryptoServiceProvider" />
      <Type Name="RSA" />
      <Type Name="RSACryptoServiceProvider" />
      <Type Name="RSAOAEPKeyExchangeDeformatter" />
      <Type Name="RSAOAEPKeyExchangeFormatter" />
      <Type Name="RSAParameters" />
      <Type Name="RSAPKCS1KeyExchangeDeformatter" />
      <Type Name="RSAPKCS1KeyExchangeFormatter" />
      <Type Name="RSAPKCS1SignatureDeformatter" />
      <Type Name="RSAPKCS1SignatureFormatter" />
      <Type Name="SHA1" />
      <Type Name="SHA1CryptoServiceProvider" />
      <Type Name="SHA1Managed" />
      <Type Name="SHA256" />
      <Type Name="SHA256Managed" />
      <Type Name="SHA384" />
      <Type Name="SHA384Managed" />
      <Type Name="SHA512" />
      <Type Name="SHA512Managed" />
      <Type Name="SignatureDescription" />
      <Type Name="SymmetricAlgorithm" />
      <Type Name="ToBase64Transform" />
      <Type Name="TripleDES" />
      <Type Name="TripleDESCryptoServiceProvider" />
    </Namespace>
    <Namespace Name="System.Security.Cryptography.X509Certificates">
      <Type Name="X509Certificate" />
      <Type Name="X509ContentType" />
      <Type Name="X509KeyStorageFlags" />
    </Namespace>
    <Namespace Name="System.Security.Permissions">
      <Type Name="CodeAccessSecurityAttribute" />
      <Type Name="EnvironmentPermission" />
      <Type Name="EnvironmentPermissionAccess" />
      <Type Name="EnvironmentPermissionAttribute" />
      <Type Name="FileDialogPermission" />
      <Type Name="FileDialogPermissionAccess" />
      <Type Name="FileDialogPermissionAttribute" />
      <Type Name="FileIOPermission" />
      <Type Name="FileIOPermissionAccess" />
      <Type Name="FileIOPermissionAttribute" />
      <Type Name="GacIdentityPermission" />
      <Type Name="GacIdentityPermissionAttribute" />
      <Type Name="HostProtectionAttribute" />
      <Type Name="HostProtectionResource" />
      <Type Name="IsolatedStorageContainment" />
      <Type Name="IsolatedStorageFilePermission" />
      <Type Name="IsolatedStorageFilePermissionAttribute" />
      <Type Name="IsolatedStoragePermission" />
      <Type Name="IsolatedStoragePermissionAttribute" />
      <Type Name="IUnrestrictedPermission" />
      <Type Name="KeyContainerPermission" />
      <Type Name="KeyContainerPermissionAccessEntry" />
      <Type Name="KeyContainerPermissionAccessEntryCollection" />
      <Type Name="KeyContainerPermissionAccessEntryEnumerator" />
      <Type Name="KeyContainerPermissionAttribute" />
      <Type Name="KeyContainerPermissionFlags" />
      <Type Name="PermissionSetAttribute" />
      <Type Name="PermissionState" />
      <Type Name="PrincipalPermission" />
      <Type Name="PrincipalPermissionAttribute" />
      <Type Name="PublisherIdentityPermission" />
      <Type Name="PublisherIdentityPermissionAttribute" />
      <Type Name="ReflectionPermission" />
      <Type Name="ReflectionPermissionAttribute" />
      <Type Name="ReflectionPermissionFlag" />
      <Type Name="RegistryPermission" />
      <Type Name="RegistryPermissionAccess" />
      <Type Name="RegistryPermissionAttribute" />
      <Type Name="SecurityAction" />
      <Type Name="SecurityAttribute" />
      <Type Name="SecurityPermission" />
      <Type Name="SecurityPermissionAttribute" />
      <Type Name="SecurityPermissionFlag" />
      <Type Name="SiteIdentityPermission" />
      <Type Name="SiteIdentityPermissionAttribute" />
      <Type Name="StrongNameIdentityPermission" />
      <Type Name="StrongNameIdentityPermissionAttribute" />
      <Type Name="StrongNamePublicKeyBlob" />
      <Type Name="UIPermission" />
      <Type Name="UIPermissionAttribute" />
      <Type Name="UIPermissionClipboard" />
      <Type Name="UIPermissionWindow" />
      <Type Name="UrlIdentityPermission" />
      <Type Name="UrlIdentityPermissionAttribute" />
      <Type Name="ZoneIdentityPermission" />
      <Type Name="ZoneIdentityPermissionAttribute" />
    </Namespace>
    <Namespace Name="System.Security.Policy">
      <Type Name="AllMembershipCondition" />
      <Type Name="ApplicationDirectory" />
      <Type Name="ApplicationDirectoryMembershipCondition" />
      <Type Name="ApplicationSecurityInfo" />
      <Type Name="ApplicationSecurityManager" />
      <Type Name="ApplicationTrust" />
      <Type Name="ApplicationTrustCollection" />
      <Type Name="ApplicationTrustEnumerator" />
      <Type Name="ApplicationVersionMatch" />
      <Type Name="CodeConnectAccess" />
      <Type Name="CodeGroup" />
      <Type Name="Evidence" />
      <Type Name="FileCodeGroup" />
      <Type Name="FirstMatchCodeGroup" />
      <Type Name="GacInstalled" />
      <Type Name="GacMembershipCondition" />
      <Type Name="Hash" />
      <Type Name="HashMembershipCondition" />
      <Type Name="IApplicationTrustManager" />
      <Type Name="IIdentityPermissionFactory" />
      <Type Name="IMembershipCondition" />
      <Type Name="NetCodeGroup" />
      <Type Name="PermissionRequestEvidence" />
      <Type Name="PolicyException" />
      <Type Name="PolicyLevel" />
      <Type Name="PolicyStatement" />
      <Type Name="PolicyStatementAttribute" />
      <Type Name="Publisher" />
      <Type Name="PublisherMembershipCondition" />
      <Type Name="Site" />
      <Type Name="SiteMembershipCondition" />
      <Type Name="StrongName" />
      <Type Name="StrongNameMembershipCondition" />
      <Type Name="TrustManagerContext" />
      <Type Name="TrustManagerUIContext" />
      <Type Name="UnionCodeGroup" />
      <Type Name="Url" />
      <Type Name="UrlMembershipCondition" />
      <Type Name="Zone" />
      <Type Name="ZoneMembershipCondition" />
    </Namespace>
    <Namespace Name="System.Security.Principal">
      <Type Name="GenericIdentity" />
      <Type Name="GenericPrincipal" />
      <Type Name="IdentityNotMappedException" />
      <Type Name="IdentityReference" />
      <Type Name="IdentityReferenceCollection" />
      <Type Name="IIdentity" />
      <Type Name="IPrincipal" />
      <Type Name="NTAccount" />
      <Type Name="PrincipalPolicy" />
      <Type Name="SecurityIdentifier" />
      <Type Name="TokenAccessLevels" />
      <Type Name="TokenImpersonationLevel" />
      <Type Name="WellKnownSidType" />
      <Type Name="WindowsAccountType" />
      <Type Name="WindowsBuiltInRole" />
      <Type Name="WindowsIdentity" />
      <Type Name="WindowsImpersonationContext" />
      <Type Name="WindowsPrincipal" />
    </Namespace>
    <Namespace Name="System.Text">
      <Type Name="ASCIIEncoding" />
      <Type Name="Decoder" />
      <Type Name="DecoderExceptionFallback" />
      <Type Name="DecoderExceptionFallbackBuffer" />
      <Type Name="DecoderFallback" />
      <Type Name="DecoderFallbackBuffer" />
      <Type Name="DecoderFallbackException" />
      <Type Name="DecoderReplacementFallback" />
      <Type Name="DecoderReplacementFallbackBuffer" />
      <Type Name="Encoder" />
      <Type Name="EncoderExceptionFallback" />
      <Type Name="EncoderExceptionFallbackBuffer" />
      <Type Name="EncoderFallback" />
      <Type Name="EncoderFallbackBuffer" />
      <Type Name="EncoderFallbackException" />
      <Type Name="EncoderReplacementFallback" />
      <Type Name="EncoderReplacementFallbackBuffer" />
      <Type Name="Encoding" />
      <Type Name="EncodingInfo" />
      <Type Name="NormalizationForm" />
      <Type Name="StringBuilder" />
      <Type Name="UnicodeEncoding" />
      <Type Name="UTF32Encoding" />
      <Type Name="UTF7Encoding" />
      <Type Name="UTF8Encoding" />
    </Namespace>
    <Namespace Name="System.Threading">
      <Type Name="AbandonedMutexException" />
      <Type Name="ApartmentState" />
      <Type Name="AsyncFlowControl" />
      <Type Name="AutoResetEvent" />
      <Type Name="CompressedStack" />
      <Type Name="ContextCallback" />
      <Type Name="EventResetMode" />
      <Type Name="EventWaitHandle" />
      <Type Name="ExecutionContext" />
      <Type Name="HostExecutionContext" />
      <Type Name="HostExecutionContextManager" />
      <Type Name="Interlocked" />
      <Type Name="IOCompletionCallback" />
      <Type Name="LockCookie" />
      <Type Name="ManualResetEvent" />
      <Type Name="Monitor" />
      <Type Name="Mutex" />
      <Type Name="NativeOverlapped" />
      <Type Name="Overlapped" />
      <Type Name="ParameterizedThreadStart" />
      <Type Name="ReaderWriterLock" />
      <Type Name="RegisteredWaitHandle" />
      <Type Name="SendOrPostCallback" />
      <Type Name="SynchronizationContext" />
      <Type Name="SynchronizationLockException" />
      <Type Name="Thread" />
      <Type Name="ThreadAbortException" />
      <Type Name="ThreadInterruptedException" />
      <Type Name="ThreadPool" />
      <Type Name="ThreadPriority" />
      <Type Name="ThreadStart" />
      <Type Name="ThreadStartException" />
      <Type Name="ThreadState" />
      <Type Name="ThreadStateException" />
      <Type Name="Timeout" />
      <Type Name="Timer" />
      <Type Name="TimerCallback" />
      <Type Name="WaitCallback" />
      <Type Name="WaitHandle" />
      <Type Name="WaitHandleCannotBeOpenedException" />
      <Type Name="WaitOrTimerCallback" />
    </Namespace>
  </Types>
  <Title>mscorlib</Title>
  <Assemblies>
    <Assembly Name="mscorlib" Version="2.0.0.0">
      <Attributes>
        <Attribute>
          <AttributeName>System.Runtime.CompilerServices.RuntimeCompatibility(WrapNonExceptionThrows=true)</AttributeName>
        </Attribute>
        <Attribute>
          <AttributeName>System.Runtime.InteropServices.Guid("BED7F4EA-1A96-11D2-8F08-00A0C9A6186D")</AttributeName>
        </Attribute>
        <Attribute>
          <AttributeName>System.Security.AllowPartiallyTrustedCallers</AttributeName>
        </Attribute>
        <Attribute>
          <AttributeName>System.Resources.NeutralResourcesLanguage("en-US")</AttributeName>
        </Attribute>
        <Attribute>
          <AttributeName>System.CLSCompliant(true)</AttributeName>
        </Attribute>
        <Attribute>
          <AttributeName>System.Reflection.AssemblyDescription("Common Language Runtime Library")</AttributeName>
        </Attribute>
        <Attribute>
          <AttributeName>System.Resources.SatelliteContractVersion("2.0.0.0")</AttributeName>
        </Attribute>
      </Attributes>
    </Assembly>
  </Assemblies>
</Overview>
